package com.takensoft.ai_lms.common.idgen.context;


import com.takensoft.ai_lms.common.idgen.service.IdgenService;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class ContextIdgen {

    // 회원정보
    @Bean(name = "userIdgn")
    public IdgenService user() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("USID_");
        idgenServiceImpl.setTblNm("USID");
        return idgenServiceImpl;
    }

    // 파일매니저
    @Bean(name = "fileMngIdgn")
    public IdgenService fileMng() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("FILE_MNG_");
        idgenServiceImpl.setTblNm("FILE_MANAGE_ID");
        return idgenServiceImpl;
    }

    // 파일정보
    @Bean(name = "fileIdgn")
    public IdgenService file() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("FILE_");
        idgenServiceImpl.setTblNm("FILE_ID");
        return idgenServiceImpl;
    }

    // 교육 기관 정보
    @Bean(name = "ednstIdgn")
    public IdgenService institution() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("EDNST_");
        idgenServiceImpl.setTblNm("EDNST_ID");
        return idgenServiceImpl;
    }

    // 반 정보
    @Bean(name = "classIdgn")
    public IdgenService classes() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("CLASS_");
        idgenServiceImpl.setTblNm("CLASS_ID");
        return idgenServiceImpl;
    }

    // 게시판 정보
    @Bean(name = "boardIdgn")
    public IdgenService board() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("BOARD_");
        idgenServiceImpl.setTblNm("BOARD_ID");
        return idgenServiceImpl;
    }

    // 반별 학생 정보
    @Bean(name = "userClassIdgn")
    public IdgenService userClass() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("USER_CLASS_");
        idgenServiceImpl.setTblNm("USER_CLASS_ID");
        return idgenServiceImpl;
    }

    // 책 정보
    @Bean(name = "bookIdgn")
    public IdgenService book() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("BOOK_");
        idgenServiceImpl.setTblNm("BOOK_ID");
        return idgenServiceImpl;
    }

    // 단원 정보
    @Bean(name = "unitIdgn")
    public IdgenService unit() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("UNIT_");
        idgenServiceImpl.setTblNm("UNIT_ID");
        return idgenServiceImpl;
    }

    // 문제 정보
    @Bean(name = "problemIdgn")
    public IdgenService problem() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("PROBLEM_");
        idgenServiceImpl.setTblNm("PROBLEM_ID");
        return idgenServiceImpl;
    }

    // 문제 상세 정보
    @Bean(name = "problemDtlIdgn")
    public IdgenService problemDtl() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("PROBLEM_DTL_");
        idgenServiceImpl.setTblNm("PROBLEM_DTL_ID");
        return idgenServiceImpl;
    }

    // 문제 풀이 로그 정보
    @Bean(name = "problemLogIdgn")
    public IdgenService problemLog() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("PROBLEM_LOG_");
        idgenServiceImpl.setTblNm("PROBLEM_LOG_ID");
        return idgenServiceImpl;
    }

    // 지문 정보
    @Bean(name = "textIdgn")
    public IdgenService text() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("TEXT_");
        idgenServiceImpl.setTblNm("TEXT_ID");
        return idgenServiceImpl;
    }

    // 단어 정보
    @Bean(name = "wordIdgn")
    public IdgenService word() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("WORD_");
        idgenServiceImpl.setTblNm("WORD_ID");
        return idgenServiceImpl;
    }

    // 단어장 정보
    @Bean(name = "wordBookIdgn")
    public IdgenService wordBook() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("WORD_BOOK_");
        idgenServiceImpl.setTblNm("WORD_BOOK_ID");
        return idgenServiceImpl;
    }

    // 단원 평가 정보
    @Bean(name = "evalIdgn")
    public IdgenService evaluation() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("EVAL_");
        idgenServiceImpl.setTblNm("EVAL_ID");
        return idgenServiceImpl;
    }

    // 학습 일정 정보
    @Bean(name = "scheduleIdgn")
    public IdgenService schedule() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("SCHDL_");
        idgenServiceImpl.setTblNm("SCHDL_ID");
        return idgenServiceImpl;
    }

    // 사진첩 정보
    @Bean(name = "photoMngIdgn")
    public IdgenService photoMng() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("PHOTO_MNG_");
        idgenServiceImpl.setTblNm("PHOTO_MNG_ID");
        return idgenServiceImpl;
    }

    // 사진 정보
    @Bean(name = "photoIdgn")
    public IdgenService photo() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("PHOTO_");
        idgenServiceImpl.setTblNm("PHOTO_ID");
        return idgenServiceImpl;
    }

    // 설문 조사 정보
    @Bean(name = "surveyIdgn")
    public IdgenService survey() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("SURVEY_");
        idgenServiceImpl.setTblNm("SURVEY_ID");
        return idgenServiceImpl;
    }

    // 설문 조사 상세 정보
    @Bean(name = "surveyDetailIdgn")
    public IdgenService surveyDetail() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("SURVEY_DETAIL_");
        idgenServiceImpl.setTblNm("SURVEY_DETAIL_ID");
        return idgenServiceImpl;
    }

    // 학습 로드맵정보
    @Bean(name = "unitLearningIdgn")
    public IdgenService learning() {
        IdgenService idgenServiceImpl = new IdgenService();
        idgenServiceImpl.setCipers(15);
        idgenServiceImpl.setFillChar('0');
        idgenServiceImpl.setPrefix("UNIT_LEARNING_");
        idgenServiceImpl.setTblNm("UNIT_LEARNING_ID");
        return idgenServiceImpl;
    }


}