package com.takensoft.ai_lms.lms.board.dao;


import com.takensoft.ai_lms.lms.board.vo.BoardVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.HashMap;
import java.util.List;


/**
 * @author  : 박세훈
 * since   : 2024.07.25
 *
 * 게시판 관련 Mapper
 */

@Mapper("boardDAO")
public interface BoardDAO {
    // 게시글 등록
    int insertBoard(BoardVO boardVO) throws Exception;

    // 게시글 전체 조회
    List<HashMap<String, Object>> findAllBoard(HashMap<String, Object> params) throws Exception;

    // 게시물 수 조회
    int boardCount(HashMap<String, Object> params) throws Exception;

    // 게시글 상세 조회
    List<HashMap<String, Object>> findByBoardId(HashMap<String, Object> params) throws Exception;

    // 게시글 수정
    int updateBoard(BoardVO boardVO) throws Exception;

    // 게시글 삭제
    int deleteBoard(String bbsId) throws Exception;

    // 게시글 검색
    List<HashMap<String, Object>> searchBoard(HashMap<String, Object> params) throws Exception;



}
