package com.takensoft.ai_lms.lms.book.service;

import com.takensoft.ai_lms.lms.book.vo.BookVO;
import java.util.List;

/**
 * @author  : 구자현
 * @since   : 2024.07.25
 *
 * 교재 관련 Service 클래스
 */
public interface BookService {

    /**
     * @author  : 구자현
     * @since   : 2024.07.25
     *
     * 전체 교재 목록 출력
     */
    List<BookVO> getAllBooks();

    /**
     * @author  : 구자현
     * @since   : 2024.07.25
     *
     * 책의 상세 정보
     */
    BookVO getBookById(String book_id);

    /**
     * @author  : 구자현
     * @since   : 2024.07.25
     *
     * 교재 등록
     */
    int insertBook(BookVO bookVO);

    /**
     * @author  : 구자현
     * @since   : 2024.07.25
     *
     * 교재 제목 수정
     */
    int updateBook(BookVO bookVO);

    /**
     * @author  : 구자현
     * @since   : 2024.07.25
     *
     * 교재 삭제
     */
    int deleteBook(String book_id);

}
