package com.takensoft.ai_lms.lms.class_book.service.Impl;


import com.takensoft.ai_lms.lms.class_book.dao.ClassBookDAO;
import com.takensoft.ai_lms.lms.class_book.service.ClassBookService;
import com.takensoft.ai_lms.lms.class_book.vo.ClassBookVO;
import lombok.RequiredArgsConstructor;
import org.egovframe.rte.fdl.cmmn.EgovAbstractServiceImpl;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;


/**
 * @author  : 박세훈
 * since   : 2024.07.29
 *
 *  class - book관련 ServiceImpl
 */
@Service("classBookService")
@RequiredArgsConstructor
public class ClassBookServiceImpl extends EgovAbstractServiceImpl implements ClassBookService {

    private final ClassBookDAO classBookDAO;

    // 교재 등록
    @Override
    public void registerBook(List<ClassBookVO> classBookVO) throws Exception {
        classBookDAO.registerBook(classBookVO);
    }

    // 교재 삭제
    @Override
    public int deleteClassBook(ClassBookVO classBookVO) throws Exception {
        return classBookDAO.deleteClassBook(classBookVO);
    }

    // 등록된 교재 조회
    @Override
    public List<HashMap<String, Object>> findByBookId(HashMap<String, Object> params) throws Exception {
        return classBookDAO.findByBookId(params);
    }
}
