package com.takensoft.ai_lms.lms.classes.service.Impl;

import com.takensoft.ai_lms.common.idgen.service.IdgenService;
import com.takensoft.ai_lms.lms.classes.dao.ClassDAO;
import com.takensoft.ai_lms.lms.classes.service.ClassService;
import com.takensoft.ai_lms.lms.classes.vo.ClassVO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@RequiredArgsConstructor
public class ClassServiceImpl implements ClassService {

    private final ClassDAO classDAO;

    private final IdgenService classIdgn;

    /**
     * 반 조회
     */
    @Override
    @Transactional
    public List<ClassVO> selectClass(String userId) throws Exception{
        return classDAO.selectClass(userId);
    }

    /**
     * 반 생성
     */
    @Override
    @Transactional
    public int insertClass(ClassVO classVO) throws Exception{
        String sclsId = classIdgn.getNextStringId();
        classVO.setSclsId(sclsId);
        return classDAO.insertClass(classVO);
    }

    /**
     * 반 수정
     */
    @Override
    @Transactional
    public int updateClass(ClassVO classVO) throws Exception{
        return classDAO.updateClass(classVO);
    }

    /**
     * 반 삭제
     */
    @Override
    @Transactional
    public int deleteClass(String sclsId) throws Exception {
        return classDAO.deleteClass(sclsId);
    }

    /**
     * 반 아이디(scls_id) 존재 확인
     */
    @Override
    @Transactional
    public boolean existsClassById(String sclsId) throws Exception {
        return classDAO.existsClassById(sclsId) > 0;
    }
}
