package com.takensoft.ai_lms.lms.eval_problem.service.Impl;

import com.takensoft.ai_lms.lms.eval_problem.dao.EvalProblemDAO;
import com.takensoft.ai_lms.lms.eval_problem.service.EvalProblemService;
import com.takensoft.ai_lms.lms.eval_problem.vo.EvalProblemVO;
import lombok.RequiredArgsConstructor;
import org.egovframe.rte.fdl.cmmn.EgovAbstractServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author 권지수
 * @since 2024.07.29
 *
 * 단원 평가 문제 ServiceImpl 클래스
 */

@Service("evalProblemService")
@RequiredArgsConstructor
public class EvalProblemImpl extends EgovAbstractServiceImpl implements EvalProblemService {

    private final EvalProblemDAO evalProblemDAO;

    /**
     * @author 권지수
     * @since 2024.07.29
     *
     * 단원 평가 문제 정보 입력
     */
    public int insertEvalProblem(EvalProblemVO evalProblemVO) throws Exception {
        return evalProblemDAO.insertEvalProblem(evalProblemVO);
    }

    /**
     * @author 권지수
     * @since 2024.07.30
     *
     * 특정 단원의 문제 수 조회
     */
    public int unitProblemNum(EvalProblemVO evalProblemVO) throws Exception {
        return evalProblemDAO.unitProblemNum(evalProblemVO);
    }

    /**
     * @author 권지수
     * @since 2024.08.01
     *
     * 단원 평가에 등록된 문제 삭제
     */
    public int deleteEvalProblem(EvalProblemVO evalProblemVO) throws Exception {
        return evalProblemDAO.deleteEvalProblem(evalProblemVO);
    }
}
