package com.takensoft.ai_lms.lms.evaluation.dao;

import com.takensoft.ai_lms.lms.evaluation.vo.EvaluationVO;
import com.takensoft.ai_lms.lms.problem.vo.SearchVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

/**
 * @author 권지수
 * @since 2024.07.29
 *
 * 단원 평가 DAO 클래스
 */

@Mapper("evaluationDAO")
public interface EvaluationDAO {

    /**
     * @author 권지수
     * @since 2024.07.29
     *
     * 단원 평가 정보 입력
     */
    int insertEvaluation(EvaluationVO evaluationVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.07.29
     *
     * 단원 평가 정보 조회
     */
    EvaluationVO evaluationInfo(EvaluationVO evaluationVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.07.29
     *
     * 특정 단원 평가 정보 조회
     */
    List<EvaluationVO> evaluationUnitList(SearchVO searchVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.07.29
     *
     * 단원 평가 정보 수정
     */
    int updateEvaluation(EvaluationVO evaluationVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.07.29
     *
     * 단원 평가 정보 삭제
     */
    int deleteEvaluation(EvaluationVO evaluationVO) throws Exception;

}
