package com.takensoft.ai_lms.lms.file.web;

import com.takensoft.ai_lms.lms.file.service.FileService;
import lombok.RequiredArgsConstructor;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;

/**
 * @author  : 홍아랑
 * since   : 2024.07.26
 * 파일 관련 Controller
 */
@RestController
//@Slf4j
@RequiredArgsConstructor
@RequestMapping(value = "/file")
public class FileController {
    private final FileService fileService;

    /**
     * @author 홍아랑
     * @since 2024.07.26
     *
     * 파일 정보 조회
     */
    @PostMapping("/find.json")
    public ResponseEntity<?> findByFileId(@RequestBody HashMap<String, Object> params) throws Exception {
        HashMap<String, Object> result = new HashMap<>();

        result.put("list", fileService.findByFileId(params));
        return new ResponseEntity<>(result, HttpStatus.OK);
    }

    /**
     * @author 박민혁
     * @since 2024.08.01
     *
     * 파일 업로드 기능
     */
    @PostMapping("/upload.json")
    public ResponseEntity<?> fileUpload (@RequestParam("files") MultipartFile[] files) throws Exception {
        HashMap<String, Object> result = new HashMap<>();

        result.put("fileMngId", fileService.fileUpload(files));
        return new ResponseEntity<>(result, HttpStatus.OK);
    }
}
