package com.takensoft.ai_lms.lms.photo.dao;

import com.takensoft.ai_lms.lms.photo.vo.PhotoVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

/**
 * @author  : 김건택
 * @since   : 2024.07.25
 *
 * 사진 관련 Mapper
 */
@Mapper("photoDAO")
public interface PhotoDAO {

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 사진 목록 출력
     */
    List<PhotoVO> photoList (PhotoVO photoVO) throws Exception;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 사진 등록
     */
    int insertPhoto(PhotoVO photoVO) throws Exception;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 사진 수정
     */
    int updatePhoto(PhotoVO photoVO) throws Exception;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 사진 삭제
     */
    int deletePhoto(PhotoVO photoVO) throws Exception;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 사진 상세 정보
     */
    List<PhotoVO> photoDetail (PhotoVO photoVO) throws Exception;
}
