package com.takensoft.ai_lms.lms.photo.service;

import com.takensoft.ai_lms.lms.photo.vo.PhotoMngVO;

import java.util.List;

/**
 * @author  : 김건택
 * @since   : 2024.07.25
 *
 * 사진첩 관련 Service 클래스
 */
public interface PhotoMngService {

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 사진첩 목록 출력
     */
    List<PhotoMngVO> photoMngList () throws Exception;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 사진첩 등록
     */
    int insertPhotoMng(PhotoMngVO photoMngVO) throws Exception;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 사진첩 수정
     */
    int updatePhotoMng(PhotoMngVO photoMngVO) throws Exception;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 사진첩 삭제
     */
    int deletePhotoMng(PhotoMngVO photoMngVO) throws Exception;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 사진첩 상세 정보
     */
    List<PhotoMngVO> photoMngDetail (PhotoMngVO photoMngVO) throws Exception;
}
