package com.takensoft.ai_lms.lms.photo.service;

import com.takensoft.ai_lms.lms.photo.vo.PhotoVO;

import java.util.List;

/**
 * @author  : 김건택
 * @since   : 2024.07.25
 *
 * 사진 관련 Service 클래스
 */
public interface PhotoService {

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 사진 목록 출력
     */
    List<PhotoVO> photoList (PhotoVO photoVO) throws Exception;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 사진 등록
     */
    int insertPhoto(PhotoVO photoVO) throws Exception;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 사진 수정
     */
    int updatePhoto(PhotoVO photoVO) throws Exception;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 사진 삭제
     */
    int deletePhoto(PhotoVO photoVO) throws Exception;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 사진 상세 정보
     */
    List<PhotoVO> photoDetail (PhotoVO photoVO) throws Exception;
}
