package com.takensoft.ai_lms.lms.problem.dao;

import com.takensoft.ai_lms.lms.eval_problem.vo.EvalProblemVO;
import com.takensoft.ai_lms.lms.problem.vo.ProblemDetailVO;
import com.takensoft.ai_lms.lms.problem.vo.ProblemVO;
import com.takensoft.ai_lms.lms.problem.vo.SearchVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

/**
 * @author 권지수
 * @since 2024.07.25
 *
 * 문제 DAO 클래스
 */

@Mapper("problemDAO")
public interface ProblemDAO {

    /**
     * @author 권지수
     * @since 2024.07.25
     *
     * 문제 데이터 조회
     */
    ProblemVO problemInfo(ProblemVO problemVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.07.25
     *
     * 문제 선지 리스트 조회
     */
    List<ProblemDetailVO> problemDetailList(ProblemVO problemVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.07.26
     *
     * 문제 정보 입력
     */
    int insertProblem(ProblemVO problemVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.07.26
     *
     * 문제 상세 정보 입력
     */
    int insertProblemDetail(ProblemDetailVO problemDetailVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.07.26
     *
     * 문제 정보 수정
     */
    int updateProblem(ProblemVO problemVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.07.26
     *
     * 문제 상세 정보 수정
     */
    int updateProblemDetail(ProblemDetailVO problemDetailVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.07.26
     *
     * 문제 정보 삭제
     */
    int deleteProblem(ProblemVO problemVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.07.30
     *
     * 전체 문제 목록 조회
     */
    List<ProblemVO> problemList(SearchVO searchVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.07.30
     *
     * 특정 단원 평가의 문제 목록 조회
     */
    List<ProblemVO> evaluationProblemList(SearchVO searchVO) throws Exception;

}
