package com.takensoft.ai_lms.lms.problem_log.service.Impl;

import com.takensoft.ai_lms.common.idgen.service.IdgenService;
import com.takensoft.ai_lms.lms.problem_log.dao.ProblemLogDAO;
import com.takensoft.ai_lms.lms.problem_log.service.ProblemLogService;
import com.takensoft.ai_lms.lms.problem_log.vo.ProblemLogVO;
import lombok.RequiredArgsConstructor;
import org.egovframe.rte.fdl.cmmn.EgovAbstractServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author 권지수
 * @since 2024.08.01
 *
 * 문제 풀이 로그 ServiceImpl 클래스
 */

@Service("problemLogService")
@RequiredArgsConstructor
public class ProblemLogServiceImpl extends EgovAbstractServiceImpl implements ProblemLogService {

    private final ProblemLogDAO problemLogDAO;
    private final IdgenService problemLogIdgn;

    /**
     * @author 권지수
     * @since 2024.07.26
     *
     * 문제 풀이 로그 정보 입력
     */
    @Override
    public int insertProblemLog(ProblemLogVO problemLogVO) throws Exception {
        String problemLogId = problemLogIdgn.getNextStringId();
        problemLogVO.setPrblmLogId(problemLogId);

        return problemLogDAO.insertProblemLog(problemLogVO);
    }

    /**
     * @author 권지수
     * @since 2024.08.02
     *
     * 문제 풀이 로그 정보 수정
     */
    public int updateProblemLog(ProblemLogVO problemLogVO) throws Exception {
        return problemLogDAO.updateProblemLog(problemLogVO);
    }

    /**
     * @author 권지수
     * @since 2024.08.02
     *
     * 문제 풀이 로그 정보 삭제
     */
    public int deleteProblemLog(ProblemLogVO problemLogVO) throws Exception {
        return problemLogDAO.deleteProblemLog(problemLogVO);
    }

    /**
     * @author 권지수
     * @since 2024.08.02
     *
     * 문제 풀이 로그 정보 조회
     */
    public ProblemLogVO problemLogInfo(ProblemLogVO problemLogVO) throws Exception {
        return problemLogDAO.problemLogInfo(problemLogVO);
    }
}
