package com.takensoft.ai_lms.lms.schedule.service.Impl;

import com.takensoft.ai_lms.common.idgen.service.IdgenService;
import com.takensoft.ai_lms.lms.schedule.dao.ScheduleDAO;
import com.takensoft.ai_lms.lms.schedule.service.ScheduleService;
import com.takensoft.ai_lms.lms.schedule.vo.ScheduleVO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import java.util.HashMap;
import java.util.List;


/**
 * @author : 이은진
 * @since : 2024.07.29
 */

@Service("scheduleService")
@RequiredArgsConstructor
public class ScheduleServiceImpl implements ScheduleService {

    private final ScheduleDAO scheduleDAO;
    private final IdgenService scheduleIdgn;

    /**
     * 학습 일정 등록
     */
    @Override
    public int insertSchedule(ScheduleVO scheduleVO) throws Exception {
        String scheduleId = scheduleIdgn.getNextStringId();
        scheduleVO.setScheduleId(scheduleId);
        return scheduleDAO.insertSchedule(scheduleVO);
    }

    /**
     * 학습 일정 출력
     */
    @Override
    public List<HashMap<String, Object>> selectSchedule(HashMap<String, Object> params) throws Exception {
        return scheduleDAO.selectSchedule(params);
    }

    /**
     * 학습 일정 수정
     */
    @Override
    public int scheduleUpdate(ScheduleVO scheduleVO) throws Exception {
        return scheduleDAO.scheduleUpdate(scheduleVO);
    }

    /**
     * 학습 일정 삭제
     */
    @Override
    public int scheduleDelete(String scheduleId) throws Exception {
        return scheduleDAO.scheduleDelete(scheduleId);
    }
}
