package com.takensoft.ai_lms.lms.student.dao;

import com.takensoft.ai_lms.lms.student.vo.StudentInfoVO;
import org.apache.ibatis.annotations.Param;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

/**
 * @author 권민수
 * @since 2024.07.25
 *
 * 학생 정보 DAO 클래스
 */

@Mapper("studentInfoDAO")
public interface StudentInfoDAO {

    // 학생 정보 불러오기
    StudentInfoVO getStudentInfo(@Param("userId") String userId);

    // 학생 질문 사항 수정하기
    void updateStudentQuestion(@Param("userId") String userId, @Param("studentQuestion") String studentQuestion);

}

// users(user_id) - user_nm(사용자 이름),
// users(user_id) -> institution(ednst_id) - ednst_nm(기관명),
// user_class(user_id) -> class(scls_id) -> grade(sgrd_id) - grd_no(학년),
// user_class(user_id) -> class(scls_id) - scls_nm(반 이름),
// user_class(user_id) - stn_qna(학생 질문),
// + 오늘의 공부, 최근 학습 히스토리