package com.takensoft.ai_lms.lms.student.web;

import com.takensoft.ai_lms.lms.student.dto.UpdateStudentQuestionDTO;
import com.takensoft.ai_lms.lms.student.service.StudentInfoService;
import com.takensoft.ai_lms.lms.student.vo.StudentInfoVO;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @author 권민수
 * @since 2024.07.25
 *
 * 학생 정보 관련 컨트롤러 클래스
 */

@RestController
@RequiredArgsConstructor
@Slf4j
@RequestMapping("/studentInfo")
public class StudentInfoController {

    private final StudentInfoService studentInfoService;

    // 학생 정보 불러오는 api
    @PostMapping("/getInfo.json")
    public StudentInfoVO getStudentInfo(@RequestBody Map<String, String> req) {
        return studentInfoService.getStudentInfo(req.get("userId"));
    }

    // 학생 질문 사항 수정하는 api
    @PostMapping("/updateQuestion.json")
    public void updateStudentQuestion(@RequestBody UpdateStudentQuestionDTO request) {
        studentInfoService.updateStudentQuestion(request.getUserId(), request.getStudentQuestion());
    }

}
