package com.takensoft.ai_lms.lms.survey.dao;


import com.takensoft.ai_lms.lms.survey.vo.SurveyDetailVO;
import com.takensoft.ai_lms.lms.survey.vo.SurveyVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;


/**
 * @author  : 박세훈
 * since   : 2024.07.29
 *
 * 설문 조사 관련 Mapper
 */
@Mapper("surveyDAO")
public interface SurveyDAO {

    // 설문 조사 등록
    int insertSurvey(SurveyVO surveyVO) throws Exception;

    // 설문 조사 조회
    List<SurveyVO> surveyList(SurveyVO surveyVO) throws Exception;

    // 설문 조사 수정
    int updateSurvey(SurveyVO surveyVO) throws Exception;

    // 설문 조사 삭제
    void deleteSurvey(String srvyId) throws Exception;

    // 설문 조사 상제 삭세
    void deleteSurveyDetail(String srvyId) throws Exception;

    // 설문 조사 상세 정보 등록
    void insertSurveyDetail(List<SurveyDetailVO> surveyDetailVO) throws Exception;

    // 설문 조사 상세 정보 조회
    List<SurveyDetailVO> surveyDetailList(SurveyDetailVO surveyDetailVO) throws Exception;
}
