package com.takensoft.ai_lms.lms.test.web;

import com.takensoft.ai_lms.lms.test.service.TestService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;

/**
 * @author 박민혁
 * @since 2024.07.06
 *
 * 테스트용 Controller 클래스
 */

@RestController
@RequiredArgsConstructor
@Slf4j
@RequestMapping(value="/test")
public class TestController {

    private final TestService testService;

    /**
     * @author 박민혁
     * @since 2024.07.06
     *
     * 테스트용 데이터 조회
     */
    @PostMapping(path = "/test.json")
    public ResponseEntity<?> saveBbsCn() throws Exception {
        HashMap<String, Object> result = new HashMap<>();

        result.put("list", testService.testList());
        result.put("result", "success");
        return new ResponseEntity<>(result, HttpStatus.OK);
    }
}
