package com.takensoft.ai_lms.lms.text.service;
import com.takensoft.ai_lms.lms.text.vo.TextVO;

import java.util.HashMap;
import java.util.List;

/**
 * @author  : 이은진
 * since   : 2024.07.25
 *
 * 지문 관련 인터페이스
 */

public interface TextService {
    // 지문 등록
    int insertText(TextVO textVO) throws Exception;

    // 지문 리스트 조회
    List<HashMap<String, Object>> selectTextList(HashMap<String, Object> params) throws Exception;

    // 지문 수 조회
    int textCount(HashMap<String, Object> params) throws Exception;

    // 지문 출력
    List<HashMap<String, Object>> selectOneText(HashMap<String, Object> params)  throws Exception;

    // 지문 수정
    int textUpdate(TextVO textVO) throws Exception;

    // 지문 삭제
    int textDelete(String textId) throws Exception;

    // 지문 검색
    public List<HashMap<String, Object>> searchText(HashMap<String, Object> params) throws Exception;
}
