package com.takensoft.ai_lms.lms.unit.service.Impl;

import com.takensoft.ai_lms.common.idgen.service.IdgenService;
import com.takensoft.ai_lms.lms.unit.dao.UnitDAO;
import com.takensoft.ai_lms.lms.unit.service.UnitService;
import com.takensoft.ai_lms.lms.unit.vo.UnitVO;
import lombok.RequiredArgsConstructor;
import org.egovframe.rte.fdl.cmmn.EgovAbstractServiceImpl;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

/**
 * @author  : 김건택
 * @since   : 2024.07.25
 *
 * 단원 관련 ServiceImpl 클래스
 */
@Service("unitService")
@RequiredArgsConstructor
public class UnitServiceImpl extends EgovAbstractServiceImpl implements UnitService {

    private final UnitDAO unitDAO;

    private final IdgenService unitIdgn;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 단원 목록 출력
     */
    @Override
    public List<UnitVO> unitList(UnitVO unitVO) throws Exception {
        return unitDAO.unitList(unitVO);
    }

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 단원 등록
     */
    @Override
    public int insertUnit(UnitVO unitVO) throws Exception {
        String unitId = unitIdgn.getNextStringId();
        unitVO.setUnitId(unitId);
        int result = unitDAO.insertUnit(unitVO);
        return result;
    }

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 단원 수정
     */
    @Override
    public int updateUnit(UnitVO unitVO) throws Exception {
        int result = unitDAO.updateUnit(unitVO);
        return result;
    }

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 단원 삭제
     */
    @Override
    public int deleteUnit(UnitVO unitVO) throws Exception {
        int result = unitDAO.deleteUnit(unitVO);
        return result;
    }

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 단원 상세 정보
     */
    @Override
    public List<HashMap<String, Object>> unitDetail(UnitVO unitVO) throws Exception {
        return unitDAO.unitDetail(unitVO);
    }


}
