package com.takensoft.ai_lms.lms.unit.service;

import com.takensoft.ai_lms.lms.unit.vo.UnitVO;

import java.util.HashMap;
import java.util.List;

/**
 * @author  : 김건택
 * @since   : 2024.07.25
 *
 * 단원 관련 Service 클래스
 */
public interface UnitService {

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 단원 목록 출력
     */
    List<UnitVO> unitList (UnitVO unitVO) throws Exception;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 단원 등록
     */
    int insertUnit(UnitVO unitVO) throws Exception;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 단원 수정
     */
    int updateUnit(UnitVO unitVO) throws Exception;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 단원 삭제
     */
    int deleteUnit(UnitVO unitVO) throws Exception;

    /**
     * @author  : 김건택
     * @since   : 2024.07.25
     *
     * 단원 상세 정보
     */
    List<HashMap<String, Object>> unitDetail (UnitVO unitVO) throws Exception;

}
