package com.takensoft.ai_lms.lms.unit_learning.dao;

import com.takensoft.ai_lms.lms.unit_learning.vo.UnitLearningVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

/**
 * @author  : 구자현
 * @since   : 2024.07.26
 *
 * 로드맵 관련 Mapper
 */
@Mapper("unitLearningDAO")
public interface UnitLearningDAO {

    /**
     * @author  : 구자현
     * @since   : 2024.07.26
     *
     * 로드맵의 상세 정보
     */
    List<UnitLearningVO> getUnitLearning(String unit_id, String book_id);

    /**
     * @author  : 구자현
     * @since   : 2024.07.26
     *
     * 로드맵 등록
     */
    int insertUnitLearning(List<UnitLearningVO> unitLearningVO);

    /**
     * @author  : 구자현
     * @since   : 2024.07.26
     *
     * 로드맵 순서 수정
     */
    int updateUnitLearning(UnitLearningVO unitLearningVO);

    /**
     * @author  : 구자현
     * @since   : 2024.07.26
     *
     * 로드맵 삭제
     */
    int deleteUnitLearning(String unit_id);

}
