package com.takensoft.ai_lms.lms.unit_learning.service.Impl;

import com.takensoft.ai_lms.common.idgen.service.IdgenService;
import com.takensoft.ai_lms.lms.unit_learning.dao.UnitLearningDAO;
import com.takensoft.ai_lms.lms.unit_learning.service.UnitLearningService;
import com.takensoft.ai_lms.lms.unit_learning.vo.UnitLearningVO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import java.util.List;

/**
 * @author  : 구자현
 * @since   : 2024.07.26
 *
 * 로드맵 관련 Mapper
 */
@Service
@RequiredArgsConstructor
public class UnitLearningServiceImpl implements UnitLearningService {

    private final UnitLearningDAO unitLearningDAO;

    private final IdgenService unitLearningIdgn;

    /**
     * @author  : 구자현
     * @since   : 2024.07.26
     *
     * 로드맵의 상세 정보
     */
    @Override
    public List<UnitLearningVO> getUnitLearning(String unit_id, String book_id) {
        return unitLearningDAO.getUnitLearning(unit_id, book_id);
    };

    /**
     * @author  : 구자현
     * @since   : 2024.07.26
     *
     * 로드맵 등록
     */
    @Override
    public int insertUnitLearning(List<UnitLearningVO> unitLearningVOList) {
        for (UnitLearningVO unitLearningVO : unitLearningVOList) {
            String learning_id = unitLearningIdgn.getNextStringId();
            unitLearningVO.setLearning_id(learning_id);
        }
        return unitLearningDAO.insertUnitLearning(unitLearningVOList);
    }

    /**
     * @author  : 구자현
     * @since   : 2024.07.26
     *
     * 로드맵 순서 수정
     */
    @Override
    public int updateUnitLearning(UnitLearningVO unitLearningVO) {
        return unitLearningDAO.updateUnitLearning(unitLearningVO);
    };

    /**
     * @author  : 구자현
     * @since   : 2024.07.26
     *
     * 로드맵 삭제
     */
    @Override
    public int deleteUnitLearning(String unit_id) {
        return unitLearningDAO.deleteUnitLearning(unit_id);
    };

}
