package com.takensoft.ai_lms.lms.unit_learning.service;

import com.takensoft.ai_lms.lms.unit_learning.vo.UnitLearningVO;

import java.util.List;

/**
 * @author  : 구자현
 * @since   : 2024.07.26
 *
 * 로드맵 관련 Service 클래스
 */
public interface UnitLearningService {

    /**
     * @author  : 구자현
     * @since   : 2024.07.26
     *
     * 로드맵의 상세 정보
     */
    List<UnitLearningVO> getUnitLearning(String unit_id, String book_id);

    /**
     * @author  : 구자현
     * @since   : 2024.07.26
     *
     * 로드맵 등록
     */
    int insertUnitLearning(List<UnitLearningVO> unitLearningList);

    /**
     * @author  : 구자현
     * @since   : 2024.07.26
     *
     * 로드맵 순서 수정
     */
    int updateUnitLearning(UnitLearningVO unitLearningVO);

    /**
     * @author  : 구자현
     * @since   : 2024.07.26
     *
     * 로드맵 삭제
     */
    int deleteUnitLearning(String unit_id);

}
