package com.takensoft.ai_lms.lms.unit_learning.web;

import com.takensoft.ai_lms.lms.unit_learning.dto.UnitLearningDTO;
import com.takensoft.ai_lms.lms.unit_learning.service.Impl.UnitLearningServiceImpl;
import com.takensoft.ai_lms.lms.unit_learning.vo.UnitLearningVO;
import lombok.RequiredArgsConstructor;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RequiredArgsConstructor
@RestController
@RequestMapping("/unitLearning")
public class UnitLearningController {

    private final UnitLearningServiceImpl unitLearningServiceImpl;

    /**
     * @author  : 구자현
     * @since   : 2024.07.26
     *
     * 로드맵의 상세 정보
     */
    @PostMapping("/find.json")
    public ResponseEntity<?> getUnitLearning(@RequestBody UnitLearningDTO unitLearningDTO){
        return new ResponseEntity<>(unitLearningServiceImpl.getUnitLearning(unitLearningDTO.getUnit_id(), unitLearningDTO.getBook_id()), HttpStatus.OK);
    }

    /**
     * @author  : 구자현
     * @since   : 2024.07.26
     *
     * 로드맵 등록
     */
    @PostMapping("/insert.json")
    public ResponseEntity<?> insertUnitLearning(@RequestBody List<UnitLearningVO> unitLearning) {
        return new ResponseEntity<>(unitLearningServiceImpl.insertUnitLearning(unitLearning), HttpStatus.OK);
    }

    /**
     * @author  : 구자현
     * @since   : 2024.07.26
     *
     * 로드맵 순서 수정
     */
    @PostMapping("/update.json")
    public ResponseEntity<?> updateUnitLearning(@RequestBody UnitLearningVO unitLearningVO) {
        return new ResponseEntity<>(unitLearningServiceImpl.updateUnitLearning(unitLearningVO), HttpStatus.OK);
    }

    /**
     * @author  : 구자현
     * @since   : 2024.07.26
     *
     * 로드맵 삭제
     */
    @PostMapping("/delete.json")
    public ResponseEntity<?> deleteUnitLearning(@RequestBody UnitLearningVO unitLearningVO) {
        return new ResponseEntity<>(unitLearningServiceImpl.deleteUnitLearning(unitLearningVO.getUnit_id()), HttpStatus.OK);
    }

}
