package com.takensoft.ai_lms.lms.user_class.service.Impl;

import com.takensoft.ai_lms.common.idgen.service.IdgenService;
import com.takensoft.ai_lms.lms.user_class.dao.UserClassDAO;
import com.takensoft.ai_lms.lms.user_class.service.UserClassService;
import com.takensoft.ai_lms.lms.user_class.vo.UserClassVO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author 권민수
 * @since 2024.07.31
 *
 * 반별 학생 맵핑 Service 구현 클래스
 */

@Service
@RequiredArgsConstructor
public class UserClassServiceImpl implements UserClassService {

    private final UserClassDAO userClassDAO;

    private final IdgenService userClassIdgn;

    @Override
    public List<UserClassVO> getUserClasses() {
        return userClassDAO.getUserClasses();
    }

    @Override
    public UserClassVO getUserClassById(UserClassVO userClass) {
        return userClassDAO.getUserClassById(userClass);
    }

    @Override
    public void insertUserClass(UserClassVO userClass) {
        String stdId = userClassIdgn.getNextStringId();
        userClass.setStdId(stdId);
        userClassDAO.insertUserClass(userClass);
    }

    @Override
    public void updateUserClass(UserClassVO userClass) {
        userClassDAO.updateUserClass(userClass);
    }

    @Override
    public void deleteUserClass(UserClassVO userClass) {
        userClassDAO.deleteUserClass(userClass);
    }

}
