package com.takensoft.ai_lms.lms.user_class.web;

import com.takensoft.ai_lms.lms.user_class.service.UserClassService;
import com.takensoft.ai_lms.lms.user_class.vo.UserClassVO;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * @author 권민수
 * @since 2024.07.31
 *
 * 반별 학생 맵핑 컨트롤러
 */

@RestController
@RequiredArgsConstructor
@Slf4j
@RequestMapping("/userclass")
public class UserClassController {

    private final UserClassService userClassService;

    // 유저 클래스 리스트 조회
    @PostMapping("/findAll.json")
    public List<UserClassVO> getUserClasses() {
        return userClassService.getUserClasses();
    }

    // 특정 유저 클래스 조회
    @PostMapping("/find.json")
    public UserClassVO getUserClassById(@RequestBody UserClassVO userClass) {
        return userClassService.getUserClassById(userClass);
    }

    // 유저 클래스 생성
    @PostMapping("/insert.json")
    public void insertUserClass(@RequestBody Map<String, String> req) {
        UserClassVO userClass = new UserClassVO();
        userClass.setUserId(req.get("userId"));
        userClass.setSclsId(req.get("sclsId"));
        userClass.setStnQna(req.get("stnQna"));
        userClass.setFileMngId(req.get("fileMngId"));
        userClassService.insertUserClass(userClass);
    }

    // 유저 클래스 수정
    @PostMapping("/update.json")
    public void updateUserClass(@RequestBody UserClassVO userClass) {
        userClassService.updateUserClass(userClass);
    }

    // 유저 클래스 삭제
    @PostMapping("/delete.json")
    public void deleteUserClass(@RequestBody UserClassVO userClass) {
        userClassService.deleteUserClass(userClass);
    }

}
