package com.takensoft.ai_lms.lms.user_learning.service.Impl;

import com.takensoft.ai_lms.lms.user_learning.dao.UserLearningDAO;
import com.takensoft.ai_lms.lms.user_learning.service.UserLearningService;
import com.takensoft.ai_lms.lms.user_learning.vo.UserLearningVO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * @author  : 구자현
 * @since   : 2024.08.05
 *
 * 로드맵 상태 관련 ServiceImpl 클래스
 */
@Service
@RequiredArgsConstructor
public class UserLearningServiceImpl implements UserLearningService {

    private final UserLearningDAO userLearningDAO;

    /**
     * @author  : 구자현
     * @since   : 2024.08.05
     *
     * 로드맵의 상태 정보
     */
    @Override
    public UserLearningVO getUserLearningStatus(String learning_id) {
        return userLearningDAO.getUserLearningStatus(learning_id);
    };

    /**
     * @author  : 구자현
     * @since   : 2024.08.05
     *
     * 로드맵 상태 추가
     */
    @Override
    public int insertUserLearning(UserLearningVO userLearningVO) {
        return userLearningDAO.insertUserLearning(userLearningVO);
    };

    /**
     * @author  : 구자현
     * @since   : 2024.08.05
     *
     * 로드맵 상태 변경
     */
    @Override
    public int updateUserLearning(UserLearningVO userLearningVO) {
        return userLearningDAO.updateUserLearning(userLearningVO);
    };

}
