package com.takensoft.ai_lms.lms.user_learning.web;

import com.takensoft.ai_lms.lms.user_learning.service.Impl.UserLearningServiceImpl;
import com.takensoft.ai_lms.lms.user_learning.vo.UserLearningVO;
import lombok.RequiredArgsConstructor;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author  : 구자현
 * @since   : 2024.08.05
 *
 * 로드맵 상태 관련 Controller 클래스
 */
@RequiredArgsConstructor
@RestController
@RequestMapping("/unitLearning/status")
public class UserLearningController {

    private final UserLearningServiceImpl userLearningServiceImpl;

    /**
     * @author  : 구자현
     * @since   : 2024.08.05
     *
     * 로드맵의 상태 정보
     */
    @PostMapping("/find.json")
    public ResponseEntity<?> getUserLearningStatus(@RequestBody UserLearningVO userLearningVO) {
        return new ResponseEntity<>(userLearningServiceImpl.getUserLearningStatus(userLearningVO.getLearning_id()), HttpStatus.OK);
    };

    /**
     * @author  : 구자현
     * @since   : 2024.08.05
     *
     * 로드맵 상태 추가
     */
    @PostMapping("/insert.json")
    public ResponseEntity<?> insertUserLearning(@RequestBody UserLearningVO userLearningVO) {
        return new ResponseEntity<>(userLearningServiceImpl.insertUserLearning(userLearningVO), HttpStatus.OK);
    };

    /**
     * @author  : 구자현
     * @since   : 2024.08.05
     *
     * 로드맵 상태 변경
     */
    @PostMapping("/update.json")
    public ResponseEntity<?> updateUserLearning(@RequestBody UserLearningVO userLearningVO) {
        return new ResponseEntity<>(userLearningServiceImpl.updateUserLearning(userLearningVO), HttpStatus.OK);
    };

}
