package com.takensoft.ai_lms.lms.user_unit.dao;

import com.takensoft.ai_lms.lms.user_unit.vo.UserUnitVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

/**
 * @author 권민수
 * @since 2024.08.02
 *
 * 사용자 학습 진행 정보 DAO 인터페이스
 */

@Mapper("userUnitDAO")
public interface UserUnitDAO {

    // 유저 학습 정보 리스트 조회
    List<UserUnitVO> getUserUnits();

    // 특정 유저 학습 정보 조회
    UserUnitVO getUserUnitById(UserUnitVO userUnit);

    // 유저 학습 정보 생성
    int insertUserUnit(UserUnitVO userUnit);

    // 유저 학습 정보 수정
    int updateUserUnit(UserUnitVO userUnit);

    // 유저 학습 정보 삭제
    int deleteUserUnit(UserUnitVO userUnit);

}
