package com.takensoft.ai_lms.lms.word_book.dao;

import com.takensoft.ai_lms.lms.word_book.vo.WordBookVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

/**
 * @author 권민수
 * @since 2024.07.29
 *
 * 단어장 정보 DAO 클래스
 */

@Mapper("wordBookDAO")
public interface WordBookDAO {

    // 임시: 단어장 전체 목록 조회
    List<WordBookVO> getAllWordBooks();

    // 책에 소속된 단어장 목록 조회
    List<WordBookVO> getWordBooksByBookId(String bookId);

    // 아이디에 해당하는 단어장 조회
    WordBookVO getWordBookById(String wdBookId);

    // 단어장 생성
    int insertWordBook(WordBookVO wordBook);

    // 단어장 수정
    int updateWordBook(WordBookVO wordBook);

    // 단어장 삭제
    int deleteWordBook(String wdBookId);

    // 단어장 검색(지문 이름으로 검색)
    List<WordBookVO> getWordBooksByTextTitle(String textTitle);

    // 단어장 검색(단어로 검색)
    List<WordBookVO> getWordBooksByWord(String word);

}
