package com.takensoft.ai_lms.lms.word_book.service.Impl;

import com.takensoft.ai_lms.common.idgen.service.IdgenService;
import com.takensoft.ai_lms.lms.word_book.dao.WordBookDAO;
import com.takensoft.ai_lms.lms.word_book.service.WordBookService;
import com.takensoft.ai_lms.lms.word_book.vo.WordBookVO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author 권민수
 * @since 2024.07.29
 *
 * 단어장 정보 관련 서비스
 */

@Service
@RequiredArgsConstructor
public class WordBookServiceImpl implements WordBookService {

    private final WordBookDAO wordBookDAO;

    private final IdgenService wordBookIdgn;

    @Override
    public List<WordBookVO> getAllWordBooks() {
        return wordBookDAO.getAllWordBooks();
    }

    @Override
    public List<WordBookVO> getWordBooksByBookId(String bookId) {
        return wordBookDAO.getWordBooksByBookId(bookId);
    }

    @Override
    public WordBookVO getWordBookById(String wdBookId) {
        return wordBookDAO.getWordBookById(wdBookId);
    }

    @Override
    public void insertWordBook(WordBookVO wordBook) {
        String wdBookId = wordBookIdgn.getNextStringId();
        wordBook.setWdBookId(wdBookId);
        wordBookDAO.insertWordBook(wordBook);
    }

    @Override
    public void updateWordBook(WordBookVO wordBook) {
        wordBookDAO.updateWordBook(wordBook);
    }

    @Override
    public void deleteWordBook(String wdBookId) {
        wordBookDAO.deleteWordBook(wdBookId);
    }

    @Override
    public List<WordBookVO> getWordBooksByTextTitle(String textTitle) {
        return wordBookDAO.getWordBooksByTextTitle(textTitle);
    }

    @Override
    public List<WordBookVO> getWordBooksByWord(String word) {
        return wordBookDAO.getWordBooksByWord(word);
    }

}
