package com.takensoft.ai_lms.lms.word_book.service.Impl;

import com.takensoft.ai_lms.common.idgen.service.IdgenService;
import com.takensoft.ai_lms.lms.word_book.dao.WordDAO;
import com.takensoft.ai_lms.lms.word_book.service.WordService;
import com.takensoft.ai_lms.lms.word_book.vo.WordVO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author 권민수
 * @since 2024.07.30
 *
 * 단어 정보 관련 서비스
 */

@Service
@RequiredArgsConstructor
public class WordServiceImpl implements WordService {

    private final WordDAO wordDAO;

    private final IdgenService wordIdgn;

    @Override
    public List<WordVO> getWordsByBookId(String wdBookId) {
        return wordDAO.getWordsByBookId(wdBookId);
    }

    @Override
    public void insertWord(WordVO word) {
        String wordId = wordIdgn.getNextStringId();
        word.setWdId(wordId);
        wordDAO.insertWord(word);
    }

    @Override
    public void updateWord(WordVO word) {
        wordDAO.updateWord(word);
    }

    @Override
    public void deleteWord(String wdId) {
        wordDAO.deleteWord(wdId);
    }

}
