package com.takensoft.ai_lms.lms.word_book.service;

import com.takensoft.ai_lms.lms.word_book.vo.WordBookVO;

import java.util.List;

/**
 * @author 권민수
 * @since 2024.07.29
 *
 * 단어장 정보 Service 인터페이스
 */

public interface WordBookService {

    // 임시: 단어장 전체 목록 조회
    List<WordBookVO> getAllWordBooks();

    // 책에 소속된 단어장 목록 조회
    List<WordBookVO> getWordBooksByBookId(String bookId);

    // 아이디에 해당하는 단어장 조회
    WordBookVO getWordBookById(String wdBookId);

    // 단어장 생성
    void insertWordBook(WordBookVO wordBook);

    // 단어장 수정
    void updateWordBook(WordBookVO wordBook);

    // 단어장 삭제
    void deleteWordBook(String wdBookId);

    // 단어장 검색(지문 이름으로 검색)
    List<WordBookVO> getWordBooksByTextTitle(String textTitle);

    // 단어장 검색(단어로 검색)
    List<WordBookVO> getWordBooksByWord(String word);


}
